WordPad overview

With WordPad, you can create and edit simple text documents or documents with complex formatting and graphics. You can link or embed information from other documents into a WordPad document.

You can save your WordPad file as a text file, rich text file, text file for MS-DOS, or Unicode. These formats provide greater flexibility when working with other programs. Documents that use multiple languages should be saved as rich text files.

Related Topics


Common tasks: WordPad

Microsoft Windows graphic

Common tasks

The following tasks are frequently conducted using WordPad. Click the Index or Search tab to search for a specific word or phrase.

Create, open, or save a WordPad document

To create, open, and save WordPad documents, on the File menu, click New, Open, or Save.

Step-by-step procedure

Wrap text to the window size

The options for wrapping text affect only how text appears on your screen. When printed, the document uses the margin settings specified in the Page Setup dialog box.

Step-by-step procedure

Print a WordPad document

To print your WordPad document, on the File menu, click Print.

Step-by-step procedure

Change the appearance of a WordPad document

You can change the paper size, source, and orientation of your printed document.

Step-by-step procedure

Embed or link an object into WordPad

You can embed or link objects into your WordPad document.

Step-by-step procedure


Create, open, or save a WordPad document

To create, open, or save a WordPad document

You can create, open, and save WordPad documents by clicking the File menu, and then clicking New, Open, or Save.

Create a new document

On the File menu, click New. Click the document type you want to create, click OK, and then begin typing. You can also insert the current date and time into your document. Click where you want the date and time to appear. Then, on the Insert menu, click Date and Time. Click the format you want.

Open a document

On the File menu, click Open. In Look in, click the drive that contains the document you want to open. Locate the document, click it, and then click Open. If you do not see the document you want, you can click a different file type in Files of type. For example, click Unicode Text Documents to see only Unicode files on the list. Or you can open a document you opened recently by clicking its name on the File menu.

Save changes to a document

On the File menu, click Save. To save the file with a new name, on the File menu, click Save As, type a different name in File name, and then click Save. Documents that use multiple languages should be saved as rich text files.

WordPad automatically saves documents as rich text files, but you can change the default file type at any time. On the File menu, click Save As. In Save as type, select the document format you want to set as the default. For example, to always save documents as text files, click Text Document. Select the Save in this format by default check box, and then click Save. This saves the current document in the selected file format and sets the default file format for future documents until you change it again.


Wrap text to the window size

To wrap text to the window size

  1. On the View menu, click Options.
  2. Under Word wrap, click the option you want.

Notes

  • The wrapping options affect only how text appears on your screen. When printed, the document uses the margin settings specified in Page Setup.
  • You can set different word wrap options for each of the text formats in which you can save documents.


Undo your last action

To undo your last action

  • On the Edit menu, click Undo.


Find or replace specific characters or words

To find or replace specific characters or words

You can search for words or characters in your document. You can also search for and replace words or characters with text that you specify.

Search

On the Edit menu, click Find. In Find what, type the characters or words you want to find, and then click Find Next. To find additional instances of the same text, continue to click Find Next. If you have closed the Find dialog box, you can press F3 to continue searching for the same text.

Search and replace

On the Edit menu, click Replace. In Find what, type the characters or words you want to find. In Replace with, type the text you want to replace it with. Click Find Next, and then click Replace. To replace all instances of the text, click Replace All.


Show or hide the WordPad toolbars

To show or hide the WordPad toolbars

You can show or hide the WordPad toolbar, format bar, ruler, and status bar by clicking the View menu and then clicking the name of the toolbar that you want to show or hide. A check mark appears next to the command when the toolbar is visible.

Toolbar

The buttons on the toolbar are shortcuts for common file management tasks, such as creating or saving a file. You can see a description of each toolbar icon by placing your mouse over it. You can also drag the toolbar to any location in the window.

Format bar

The buttons on the format bar change the format of text, such as making text bold or underlined. To format text, select it, and then click the appropriate button on the format bar. You can also drag the format bar to any location in the window.

Ruler

You can use the ruler to set tab stops by clicking the ruler where you want a tab stop to appear. You can delete tab stops by dragging them off the ruler. To change the unit of measurement to inches, centimeters, points, or picas, on the View menu, click Options, click the Options tab, and then click the unit of measurement you want.

Status bar

The status bar provides additional information about the buttons and commands in WordPad.


Cut, copy, paste, or delete text

To cut, copy, paste, or delete text

  • To cut text so you can move it to another location, select the text, and then on the Edit menu, click Cut.
  • To copy text so you can paste it in another location, select the text, and then on the Edit menu, click Copy.
  • To paste text you have cut or copied, click in the document where you want to paste the text, and then on the Edit menu, click Paste.
  • To delete text, select it, and then on the Edit menu, click Clear.

Notes

  • You can undo your action by clicking Edit, and then clicking Undo.
  • You can select all text at once by clicking Edit, and then clicking Select All.


Create a bulleted list

To create a bulleted list

  1. Click where you want the bulleted list to start.
  2. On the Format menu, click Bullet Style, and then type your text. When you press ENTER, another bullet appears on the next line.
  3. To end the bulleted list, on the Format menu, click Bullet Style again.

Notes

  • You can also create a bulleted list by clicking the Bullets button on the format bar.
  • To create an indented paragraph in a bulleted list, press SHIFT+ENTER
    • .


Change a font type, style, or size

To change a font type, style, or size

  1. Select the text that you want to change.
  2. On the Format menu, click Font.
  3. Click the options you want.

Notes

  • You can specify the font for new text by changing the font settings before you begin to type.
  • You can select all text at once by clicking Edit, and then clicking Select All.


Indent a paragraph

To indent a paragraph

  1. Click anywhere in the paragraph you want to format.
  2. On the Format menu, click Paragraph.
  3. Under Indentation, type a measurement of how far to indent the paragraph.

Note

  • You can indent all of the paragraphs in a new document by changing the format options before you begin to type.


Change the alignment of a paragraph

To change the alignment of a paragraph

  1. Click anywhere in the paragraph you want to format.
  2. On the Format menu, click Paragraph.
  3. In Alignment, click a position.

Note

  • You can set the alignment for a new document by changing the format options before you begin to type.


Set or remove tab stops in paragraphs

To set or remove tab stops in paragraphs

  1. Select the paragraphs for which you want to set tab stops.
  2. On the Format menu, click Tabs.
  3. In the Tabs dialog box, do the following:
    • To set a tab stop, type the measurement for a new tab stop in Tab stop position, and then click Set.
    • To delete a tab stop, click it in the list, and then click Clear.
    • To delete all tab stops in the selected paragraph, click Clear All.

Notes

  • You can also set tab stops by clicking the ruler where you want to set them. To delete tab stops, drag them off the ruler.
  • To change the unit of measurement to inches, centimeters, points, or picas, on the View menu, click Options, click the Options tab, and then click the unit of measurement you want.


Print a WordPad document

To print a WordPad document

  1. On the File menu, click Print.
  2. On the General tab, select the printer and preferences you want, and then click Print.

Notes

  • You must have a default printer set in the Printers folder. XOX
  • To see how your document will look before you print it, on the File menu, click Print Preview. In Print Preview, you can click Close to return to the document.


Change the appearance of a WordPad document

To change the appearance of a WordPad document

  1. On the File menu, click Page Setup.
  2. In the Page Setup dialog box, do any of the following:
    • To change the paper or envelope size, click a size in Size.
    • To change the paper source, click a tray name or a feeder in Source.
    • To print the document vertically, click Portrait; to print the document horizontally, click Landscape.
    • To change the margins, type a value in any of the Margins boxes.
    • To change your printer settings, click Printer.

Note

  • To change the unit of measurement to inches, centimeters, points, or picas, on the View menu, click Options, click the Options tab, and then click the unit of measurement you want.


Linking or embedding an object into WordPad

You can use linking and embedding to exchange information between documents created in different programs.

Embedding means inserting information, such as text or a graphic, into another document in another program. The embedded information, or object, becomes part of the new document. To edit an embedded object, double-click it; the program in which the object was created opens. When you finish editing the object and return to your document, the document reflects all of the changes you've made; but, the original object remains unchanged. To embed information, use Copy and Paste on the Edit menu.

Linking means inserting information, such as spreadsheet data, that retains a connection to the information stored in another file. Use linking when you want the information to be updated dynamically as the data in the source file changes. To link selected information, use Copy and Paste Special. Some programs do not support linking. If linking isn't available, Paste Special does not appear on the Edit menu.

Use embedding when you want to edit the information separately from the source file or if you think the source file will be unavailable.


Embed or link an object into WordPad

To embed or link an object into WordPad

  1. On the Insert menu, click Object.
  2. Click Create from File, and then type or browse to the path and file name in File.
  3. To embed or link the object, do one of the following:
    • To embed the object, make sure the Link check box is cleared.
    • To link the object, select the Link check box.

Notes

  • You can also embed or link an object from another document using Copy and Paste or Copy and Paste Special, respectively.
  • To create a new object, click Create New, and then click an object type. When you are finished creating the object, click outside the object to return to WordPad.


Edit linked objects

To edit linked objects

  1. Click the object to select it.
  2. On the Edit menu, point to the type of object you have selected (for example, Midi Sequence Object or Bitmap Image Object), and then do one of the following:
    • To modify the object within the WordPad window, click Edit or Edit Package. When you are finished, click outside the object to return to the WordPad document.
    • To modify the object in the program in which it was created, click Open or Activate Contents. When you are finished, click File, and then click Exit to return to the WordPad document.

Notes

  • You can also double-click the object to open, run, or activate it, depending on the object type.
  • The commands that appear on the Edit menu depend on the object you selected.


Insert the current date and time

To insert the current date and time

  1. Click where you want the date and time to appear.
  2. On the Insert menu, click Date and Time.
  3. Double-click the format you want.